Bug 1745629 - [operator-regsitry] Address grpc-go CVEs
Summary: [operator-regsitry] Address grpc-go CVEs
Keywords:
Status: CLOSED DUPLICATE of bug 1746654
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: OLM
Version: 4.1.z
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.1.z
Assignee: Evan Cordell
QA Contact: Jian Zhang
URL:
Whiteboard:
Depends On: 1745627
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-08-26 14:15 UTC by Evan Cordell
Modified: 2019-09-03 17:40 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1745627
Environment:
Last Closed: 2019-09-03 17:40:22 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github operator-framework operator-registry pull 83 None None None 2019-08-29 18:29:39 UTC

Description Evan Cordell 2019-08-26 14:15:24 UTC
+++ This bug was initially created as a clone of Bug #1745627 +++

Description of problem:

There are three CVEs in grpc-go:

CVE-2019-9512 (Ping Flood)
CVE-2019-9514 (Reset Flood)
CVE-2019-9515 (Settings Flood)

These are fixed in https://github.com/grpc/grpc-go/pull/2970

Version-Release number of selected component (if applicable):
operator-registry v1.3.0

Comment 1 Nick Stielau 2019-09-03 17:40:22 UTC

*** This bug has been marked as a duplicate of bug 1746654 ***


Note You need to log in before you can comment on or make changes to this bug.